> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1voicepost processing



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/voice/post-processing
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/post-processing:
    post:
      tags:
        - AgentPostProcessing
      operationId: voice.post-processing.store
      requestBody:
        description: '`AgentPostProcessingMetaDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentPostProcessingMetaDataRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: string
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AgentPostProcessingMetaDataRequest:
      type: object
      properties:
        name:
          type: string
        tools:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - name
      title: AgentPostProcessingMetaDataRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````